Subject: Re: bug#70597: Problem in pcase-let?

From: Marco Antoniotti <[email-masked]>
Date: Thu, 2 May 2024 13:06:58 +0200

Hi guys,

it's your call.  But please change the doc string to clarify that pcase-let
does not do "symbol equality" pattern matching, but only structural
matching.  Adding an example like the following will help.

(pcase-let ((`(foo ,x 23 ,y) '(bar 11 baz 22))) (list x y))

All the best

Marco

On Thu, May 2, 2024 at 11:24 AM Eli Zaretskii <[email-masked]> wrote:

> > Cc: Bruno Barbier <[email-masked]>, [email-masked]
> > Date: Sun, 28 Apr 2024 17:08:21 -0400
> > From:  Stefan Monnier via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> > > In any case, at a minimum the warning should be issued.
> >
> > I haven't looked at the code for it, so I don't know how easy it is to
> > implement, but let' hope there's an "easy" way to do it.
> >
> > > I did refrain from using pcase-let after all, although it "seemed
> > > right" for my use case.  Having said that, I would advocate changing
> > > the semantics.
> >
> > The places that already use it largely rely on the current semantics,
> > so changing it would introduce a lot of breakage.
> > It's not really an option.
>
> So I guess we should close this as wontfix?
>

-- 
Marco Antoniotti
Somewhere over the Rainbow